%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define modn   Hook-LexWrap
%define modv   0.24
%define modp   %(echo %{modn} | cut -d'-' -f1)


Summary:       A Perl module for lexically scoped subroutine wrappers
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/C/CH/CHORNY/%{modn}-%{modv}.tar.gz
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Alexandr Ciornii <alexchorny@gmail.com>
Provides:      perl(Hook::LexWrap) = %{modv}
Requires:      perl(:MODULE_COMPAT_%{perl_version})
BuildRequires: perl >= 5.6
BuildRequires: perl(Carp)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod) >= 1.14
BuildArch:     noarch


%description
Hook::LexWrap allows for installing a pre- and/or post-wrapper around an
existing subroutine. Unlike other modules that provide this capacity, it
implements wrappers in such a way that the standard caller function works
correctly within the wrapped subroutine.


%prep
%setup -q -n %{modn}-%{modv}


%build
%{__perl} Build.PL \
	--installdirs vendor

./Build


%check
./Build test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

./Build pure_install \
	--destdir ${RPM_BUILD_ROOT}

find ${RPM_BUILD_ROOT} -type f -name ".packlist" -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d    -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/%{modp}
%{_mandir}/man3/*.3*


%changelog
* Sat Dec 18 2010 Peter Pramberger <peterpramb@member.fsf.org> - 0.24-1
- Initial build
